# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:	A network address discovering tool
Name:		netdiscover
Version:	0.10
Release:	alt1_1
License:	GPLv3+
Group:		Networking/Other
URL:		https://github.com/netdiscover-scanner/netdiscover
Source0:	https://github.com/netdiscover-scanner/netdiscover/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	libpcap-devel
BuildRequires:	libnet-devel >= 1.1.3
BuildRequires:	wget
BuildRequires:	libtool
BuildRequires:	dos2unix
BuildRequires:	pkgconfig(hwdata)
Source44: import.info

%description
Netdiscover is a network address discovering tool, developed mainly for those
wireless networks without dhcp server, but it also works on hub/switched
networks. Its based on arp requests, it will send arp requests and sniff for
replies.

%prep
%setup -q


%build
cp -p %{_datadir}/hwdata/oui.txt ./oui.txt-$(date +%Y%m%d)
LC_ALL=C sh update-oui-database.sh --no-download
NOCONFIGURE=1 ./autogen.sh

%configure

%make_build

%install
%makeinstall_std

# cleanup
rm -rf %{buildroot}%{_prefix}/doc

%files
%doc AUTHORS ChangeLog README* TODO COPYING NEWS
%{_sbindir}/*
%{_mandir}/man8/*


%changelog
* Wed Apr 19 2023 Igor Vlasenko <viy@altlinux.org> 0.10-alt1_1
- update by mgaimport

* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 0.3-alt1_0.beta7.12
- update by mgaimport

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_0.beta7.11
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_0.beta7.10
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_0.beta7.9
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_0.beta7.8
- new version

